[SciPy-user] Installation from source on OS X: 'NoneType' object has no attribute 'link_shared_object'

Michael Williams williams@astro.ox.ac...
Fri Sep 26 17:55:35 CDT 2008


On Tue, Sep 23, 2008 at 01:53:21PM -0500, Robert Kern wrote:
> Unfortunately, now it looks like you are dealing with a bug in
> gfortran. Can you downgrade to something earlier than 4.3.0?

With difficulty (hence the delayed reply). I'm trying to install without
user privileges and I'm not experienced with gcc installation.

That being said, I seem to have succeeded. I installed gfortran 4.4.0
from the HPC on OS X page into ~/usr/local (rather than /usr/local),
added it to my shell's path and ran setup.py with the usual gnu95
options. It seemed to build and install fine. (Does anyone less ignorant
than I am about compilers and libraries know if I need to keep the
contents of ~/usr/local around to use scipy?)

I can import cleanly (Deprecation Warning about NumpyTest
notwithstanding). scipy.test runs 1848 tests with one failure
(check_dot). Last time I installed scipy I think most people were not
too worried by errors in scipy.test() on OS X. Is that still the case?

Thanks again, 

-- Mike


More information about the SciPy-user mailing list